Index: /code/branches/ipv6/src/external/enet/CMakeLists.txt
===================================================================
--- /code/branches/ipv6/src/external/enet/CMakeLists.txt	(revision 7390)
+++ /code/branches/ipv6/src/external/enet/CMakeLists.txt	(revision 7391)
@@ -29,5 +29,5 @@
     include/enet/win32.h
 
-COMPILATION_BEGIN ENetCompilation.cpp
+COMPILATION_BEGIN ENetCompilation.c
     callbacks.c
     compress.c
Index: /code/branches/ipv6/src/external/enet/host.c
===================================================================
--- /code/branches/ipv6/src/external/enet/host.c	(revision 7390)
+++ /code/branches/ipv6/src/external/enet/host.c	(revision 7391)
@@ -53,4 +53,5 @@
     ENetHost * host;
     ENetPeer * currentPeer;
+    int family;
 
     if (peerCount > ENET_PROTOCOL_MAXIMUM_PEER_ID)
@@ -70,5 +71,5 @@
     memset (host -> peers, 0, peerCount * sizeof (ENetPeer));
 
-    int family = (address == NULL || !memcmp (& address -> host, & ENET_HOST_ANY, sizeof (ENetHostAddress))) ?
+    family = (address == NULL || !memcmp (& address -> host, & ENET_HOST_ANY, sizeof (ENetHostAddress))) ?
         ENET_IPV4 | ENET_IPV6 :
         enet_get_address_family (address);
Index: /code/branches/ipv6/src/external/enet/include/enet/enet.h
===================================================================
--- /code/branches/ipv6/src/external/enet/include/enet/enet.h	(revision 7390)
+++ /code/branches/ipv6/src/external/enet/include/enet/enet.h	(revision 7391)
@@ -59,7 +59,7 @@
 } ENetHostAddress;
 
-extern const ENetHostAddress ENET_HOST_ANY;          /**< specifies the default server host */
-extern const ENetHostAddress ENET_IPV4MAPPED_PREFIX; /**< specifies the IPv4-mapped IPv6 prefix */
-extern const ENetHostAddress ENET_HOST_BROADCAST;    /**< specifies a IPv4 subnet-wide broadcast */
+extern ENET_API const ENetHostAddress ENET_HOST_ANY;          /**< specifies the default server host */
+extern ENET_API const ENetHostAddress ENET_IPV4MAPPED_PREFIX; /**< specifies the IPv4-mapped IPv6 prefix */
+extern ENET_API const ENetHostAddress ENET_HOST_BROADCAST;    /**< specifies a IPv4 subnet-wide broadcast */
 #define ENET_IPV4MAPPED_PREFIX_LEN 12                /**< specifies the length of the IPv4-mapped IPv6 prefix */
 #define ENET_PORT_ANY 0                              /**< specifies that a port should be automatically chosen */
Index: /code/branches/ipv6/src/external/enet/protocol.c
===================================================================
--- /code/branches/ipv6/src/external/enet/protocol.c	(revision 7390)
+++ /code/branches/ipv6/src/external/enet/protocol.c	(revision 7391)
@@ -1398,4 +1398,7 @@
          ++ currentPeer)
     {
+        ENetAddressFamily family;
+        ENetSocket socket;
+
         if (currentPeer -> state == ENET_PEER_STATE_DISCONNECTED ||
             currentPeer -> state == ENET_PEER_STATE_ZOMBIE)
@@ -1522,6 +1525,6 @@
         currentPeer -> lastSendTime = host -> serviceTime;
 
-        ENetAddressFamily family = enet_get_address_family (& currentPeer -> address);
-        ENetSocket socket = family == ENET_IPV4 ? host -> socket4 : host -> socket6;
+        family = enet_get_address_family (& currentPeer -> address);
+        socket = family == ENET_IPV4 ? host -> socket4 : host -> socket6;
         if (socket == ENET_SOCKET_NULL)
           return -1;
Index: /code/branches/ipv6/src/external/enet/win32.c
===================================================================
--- /code/branches/ipv6/src/external/enet/win32.c	(revision 7390)
+++ /code/branches/ipv6/src/external/enet/win32.c	(revision 7391)
@@ -181,5 +181,8 @@
     else
     {
-        ENetAddress address_ = { ENET_HOST_ANY, 0, 0 };
+        ENetAddress address_;
+        address_.host = ENET_HOST_ANY;
+        address_.scopeID = 0;
+        address_.port = 0;
         enet_address_set_sin((SOCKADDR *) & sin, & address_, family);
     }
@@ -366,4 +369,5 @@
     struct timeval timeVal;
     int selectCount;
+    ENetSocket maxSocket;
 
     timeVal.tv_sec = timeout / 1000;
@@ -389,5 +393,5 @@
     }
 
-    ENetSocket maxSocket = 0;
+    maxSocket = 0;
     if (socket4 != ENET_SOCKET_NULL)
         maxSocket = socket4;
